package _VisualDVM.TestingSystem.DVM.DVMEnvironmentsSet;
import Common.Database.Objects.DBObject;
import Common.Database.Tables.FKBehaviour;
import Common.Database.Tables.FKCurrentObjectBehaviuor;
import Common.Database.Tables.FKDataBehaviour;
import Common.Database.Tables.iDBTable;
import _VisualDVM.TestingSystem.DVM.DVMEnvironment.DVMEnvironment;

import java.util.LinkedHashMap;
public class DVMEnvironmentsSetsDBTable extends iDBTable<DVMEnvironmentsSet> {
    public DVMEnvironmentsSetsDBTable() {
        super(DVMEnvironmentsSet.class);
    }
    @Override
    public LinkedHashMap<Class<? extends DBObject>, FKBehaviour> getFKDependencies() {
        LinkedHashMap<Class<? extends DBObject>, FKBehaviour> res = new LinkedHashMap<>();
        res.put(DVMEnvironment.class, new FKBehaviour(FKDataBehaviour.DELETE, FKCurrentObjectBehaviuor.PASSIVE));
        return res;
    }
}
